Package org.apache.synapse.commons.throttle.core.internal

## Interface DistributedThrottleProcessor

-     public interface DistributedThrottleProcessor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canAccessBasedOnUnitTime​(CallerContext callerContext, CallerConfiguration configuration, ThrottleContext throttleContext, RequestContext requestContext)` |
    `boolean` | `canAccessIfUnitTimeNotOver​(CallerContext callerContext, CallerConfiguration configuration, ThrottleContext throttleContext, RequestContext requestContext)` |
    `boolean` | `canAccessIfUnitTimeOver​(CallerContext callerContext, CallerConfiguration configuration, ThrottleContext throttleContext, RequestContext requestContext)` |
    `String` | `getType()` |
    `boolean` | `isEnable()` |
    `void` | `syncThrottleCounterParams​(CallerContext callerContext, boolean incrementLocalCounter, RequestContext requestContext)` |
    `void` | `syncThrottleWindowParams​(CallerContext callerContext, boolean isInvocationFlow)` |

- - ### Method Detail

    - #### canAccessBasedOnUnitTime

          boolean canAccessBasedOnUnitTime​(CallerContext callerContext,
                                           CallerConfiguration configuration,
                                           ThrottleContext throttleContext,
                                           RequestContext requestContext)

    - #### canAccessIfUnitTimeNotOver

          boolean canAccessIfUnitTimeNotOver​(CallerContext callerContext,
                                             CallerConfiguration configuration,
                                             ThrottleContext throttleContext,
                                             RequestContext requestContext)

    - #### canAccessIfUnitTimeOver

          boolean canAccessIfUnitTimeOver​(CallerContext callerContext,
                                          CallerConfiguration configuration,
                                          ThrottleContext throttleContext,
                                          RequestContext requestContext)

    - #### syncThrottleCounterParams

          void syncThrottleCounterParams​(CallerContext callerContext,
                                         boolean incrementLocalCounter,
                                         RequestContext requestContext)

    - #### syncThrottleWindowParams

          void syncThrottleWindowParams​(CallerContext callerContext,
                                        boolean isInvocationFlow)

    - #### getType

          String getType()

    - #### isEnable

          boolean isEnable()